#include <stdio.h>
#include <ctype.h>
#include <string.h>

/* an associative array mapping chars (index) to other chars */
int mapping[256];

/* check if org can be encoded as enc */
int handle(char org, char enc) {

    /* if not encoded characters */
    if ((org == enc) && (isalpha(org))) {
        /* they're OK */
        return 1; 
    }

    /* if org is in the dictionary */
    if (mapping[org]) {
        /* check if it matches */
        if (mapping[org] == enc)
            return 1;
        else
            return 0;
    } else {
        /* associate it */
        mapping[org] = enc;
        return 1;
    }
}

int main() {
    char org[1000], enc[1000];
    int i;

    /* clear out the mapping */
    for (i = 0; i < 256; i++) {
        mapping[i] = '\0';
    }

    /* read input */
    scanf("%[^\n]\n%[^\n]", org, enc);

    /* for each char in message */
    for (i = 0; i < strlen(org); i++) {
        if (!handle(org[i], enc[i])) {
            printf("Error detected.\n");
            return 0;
        }
    }

    printf("No error detected.\n");
    return 0;
}

