#include <stdio.h>

typedef struct {
    int x1, y1, x2, y2;
} Rectangle;


/* check if a rectangle intersects another */
int intersects(Rectangle r1, Rectangle r2) {
    /* if r2 is to the left, right, top, or bottom, no intersect */
    if (r2.x2 < r1.x1) return 0;
    if (r2.x1 > r1.x2) return 0;
    if (r2.y2 < r1.y1) return 0;
    if (r2.y1 > r1.y2) return 0;

    /* otherwise, there is an intersection! */
    return 1;
}

/* check all rectangles for overlap, return boolean */
int check_overlap(Rectangle* rectangles, int count) {
    int i, j;

    /* for each rectangle */
    for (i = 0; i < count; i++) {
        /* for each rectangle in the rest of the list */
        for (j = i + 1; j < count; j++) {
            /* if it intersects, we're done */
            if (intersects(rectangles[i], rectangles[j])) 
                return 1;
        }
    }

    /* if we get down here, no problems! */
    return 0;
}

int main() {
    Rectangle rectangles[100]; 
    int count, i;

    /* read input */
    scanf("%d", &count);
    for (i = 0; i < count; i++) {
        scanf("%d %d %d %d", &rectangles[i].x1, &rectangles[i].y1,
                &rectangles[i].x2, &rectangles[i].y2);
    }

    /* check and output answer */
    if (check_overlap(rectangles, count))
        printf("Areas overlap.\n");
    else
        printf("Areas do not overlap.\n");

    return 0;
}
